Bug 27477 - Improve link text when a record has too many items on the OPAC
Summary: Improve link text when a record has too many items on the OPAC
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Amy King
QA Contact: Kyle M Hall
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2021-01-20 01:56 UTC by Aleisha Amohia
Modified: 2021-06-14 21:35 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27477: Changed link text to be more helpful. (1.58 KB, patch)
2021-01-20 03:03 UTC, Amy King
Details | Diff | Splinter Review
Bug 27477: Changed link text to be more helpful. (1.63 KB, patch)
2021-01-20 16:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27477: Changed link text to be more helpful. (1.70 KB, patch)
2021-01-21 19:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27477: Improve link text to be more helpful (opac-detail.tt) (1.70 KB, patch)
2021-01-22 13:24 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 01:56:25 UTC
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-detail.tt:                            <p>This record has many physical items ([% items_count | html %]). <a href="/cgi-bin/koha/opac-detail.pl?biblionumber=[% biblio.biblionumber | uri %]&amp;viewallitems=1">Click here to view them all.</a></p>

"Here" should not be used as a link text as it doesn't contain any helpful information for people scanning the page for information and also is a problem for blind users using screen readers jumping from link to link on a page.

to reproduce:
go to koha admin in staff client
set OpacMaxItemsToDisplay system preference to something small such as 2
create or find a bibliographic record
ensure it has more items than the OpacMaxItemsToDisplay (you may have to add more items)
go to the opac and find the record
scroll down to holdings
you should see the 'click here' message
Comment 1 Amy King 2021-01-20 03:03:01 UTC
Created attachment 115405 [details] [review]
Bug 27477: Changed link text to be more helpful.

Test plan:
1. Follow the above steps to reproduce, take note of the link saying "click here"
2. Apply patch
3. Repeat step 1, but now notice how the link says :View all the
physical items"
Comment 2 Owen Leonard 2021-01-20 16:27:06 UTC
Created attachment 115448 [details] [review]
Bug 27477: Changed link text to be more helpful.

Test plan:

1. Follow the above steps to reproduce, take note of the link saying
   "click here"
2. Apply patch
3. Repeat step 1, but now notice how the link says :View all the
   physical items"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Kyle M Hall 2021-01-21 19:01:00 UTC
Created attachment 115592 [details] [review]
Bug 27477: Changed link text to be more helpful.

Test plan:

1. Follow the above steps to reproduce, take note of the link saying
   "click here"
2. Apply patch
3. Repeat step 1, but now notice how the link says :View all the
   physical items"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Jonathan Druart 2021-01-22 13:24:18 UTC
Created attachment 115694 [details] [review]
Bug 27477: Improve link text to be more helpful (opac-detail.tt)

Test plan:

1. Follow the above steps to reproduce, take note of the link saying
   "click here"
2. Apply patch
3. Repeat step 1, but now notice how the link says :View all the
   physical items"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Jonathan Druart 2021-01-22 13:54:44 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2021-01-29 13:42:29 UTC
Enhancement not pushed to 20.11.x